org.apache.ignite.internal.processors.cache.query

## Class GridCacheLocalFieldsQueryFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Collection<R>>
  - - org.apache.ignite.internal.processors.cache.query.GridCacheQueryFutureAdapter<K,V,R>
    - - org.apache.ignite.internal.processors.cache.query.GridCacheLocalQueryFuture<Object,Object,List<Object>>
      - - org.apache.ignite.internal.processors.cache.query.GridCacheLocalFieldsQueryFuture

All Implemented Interfaces:
  AutoCloseable, IgniteInternalFuture<Collection<List<Object>>>, CacheQueryFuture<List<Object>>, GridCacheQueryMetadataAware, GridTimeoutObject

    public class GridCacheLocalFieldsQueryFuture
    extends GridCacheLocalQueryFuture<Object,Object,List<Object>>
    implements GridCacheQueryMetadataAware

Local fields query future.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.query.GridCacheQueryFutureAdapter

`cctx, loc, log, qry`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheLocalFieldsQueryFuture(GridCacheContext<?,?> ctx, GridCacheQueryBean qry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteInternalFuture<List<GridQueryFieldMetadata>>` `metadata()`
`void` `onPage(@Nullable UUID nodeId, @Nullable List<GridQueryFieldMetadata> metaData, @Nullable Collection<?> data, @Nullable Throwable err, boolean finished)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.query.GridCacheLocalQueryFuture

`awaitFirstPage, cancelQuery, loadAllPages, loadPage, onPage`

### Methods inherited from class org.apache.ignite.internal.processors.cache.query.GridCacheQueryFutureAdapter

`cancel, close, endTime, enqueue, get, get, getUninterruptibly, next, onDone, onNodeLeft, onPage, onTimeout, printMemoryStats, query, timeoutId, toString`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, chain, error, get, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.query.CacheQueryFuture

`isDone`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`chain, chain, error, get, isCancelled, listen, result`

### Constructor Detail

#### GridCacheLocalFieldsQueryFuture

    public GridCacheLocalFieldsQueryFuture(GridCacheContext<?,?> ctx,
                                           GridCacheQueryBean qry)

Parameters:
  `ctx` - Cache context.
  `qry` - Query.

### Method Detail

#### onPage

    public void onPage(@Nullable
                       @Nullable UUID nodeId,
                       @Nullable
                       @Nullable List<GridQueryFieldMetadata> metaData,
                       @Nullable
                       @Nullable Collection<?> data,
                       @Nullable
                       @Nullable Throwable err,
                       boolean finished)

Parameters:
  `nodeId` - Sender node ID.
  `metaData` - Meta data.
  `data` - Page data.
  `err` - Error.
  `finished` - Finished or not.

#### metadata

    public IgniteInternalFuture<List<GridQueryFieldMetadata>> metadata()

Specified by:
  `metadata` in interface `GridCacheQueryMetadataAware`
Returns:
  Future to retrieve metadata.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020